{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BoardMember":{"properties":{"citizenship":{"description":"Citizenship","type":"string"},"companyId":{"description":"Company id if board member is a company","type":"string"},"companyName":{"description":"Name of company","type":"string"},"countryOfresidence":{"description":"Country of residence","type":"string"},"dateOfBirth":{"description":"Date of birth","type":"string"},"domicile":{"description":"Place of residence as a code","type":"string"},"domicileText":{"description":"Place of residence as a text","type":"string"},"firstName":{"description":"First name","type":"string"},"lastName":{"description":"Last name","type":"string"},"roles":{"description":"Roles of a member","items":{"$ref":"#/components/schemas/Role"},"type":"array"},"type":{"description":"Type of a member (naturalPerson or juristicPerson)","type":"string"}},"type":"object"},"BoardMembersResult":{"properties":{"boardMembers":{"description":"Company board members","items":{"$ref":"#/components/schemas/BoardMember"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"HistoryBoardMembersResult":{"properties":{"boardMembers":{"description":"List of company's board members","items":{"$ref":"#/components/schemas/BoardMember"},"type":"array"},"changeDate":{"description":"Date for when the record was changed","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"}},"type":"object"},"HistoryBoardMembersResults":{"description":"Company's board members history results","properties":{"records":{"description":"found history board members(s)","items":{"$ref":"#/components/schemas/HistoryBoardMembersResult"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"Role":{"properties":{"fromDate":{"description":"Date of registration","type":"string"},"parallelRoleNames":{"description":"Role name translations","items":{"$ref":"#/components/schemas/Translation"},"type":"array"},"roleCode":{"description":"Role code","type":"string"},"roleName":{"description":"Role name","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"Translation":{"description":"Translation of text","properties":{"langCode":{"description":"Translation language iso code","type":"string"},"text":{"description":"Translation text","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Get board members and roles for company\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Board Members and roles","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/board-members-icon-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoardMembersResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch board members and roles for company","tags":["BoardMembersFi"]}},"/history/{companyId}":{"get":{"description":"Changes of the company's board members within specified date range. The range includes \"from\" and excludes \"to\".","operationId":"history","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryBoardMembersResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history board members by company id","tags":["BoardMembersFi"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/fi/company/board-members/1.0"}],"x-category":"company","x-countries":["fi"],"x-id":"BoardMembersApiFi"}